# alphabets_base.hh File Reference

Definition of the alphabet concept. More...

Include dependency graph for alphabets_base.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | AlphabetSetBase< S >
| Base class for structural elements of alphabets. More...
struct | alphabet_traits< S, T >
| Trait for virtual types of structural elements for alphabets. More...
struct | dynamic_traits< algebra::AlphabetSetBase< S > >
| Specialization of `dynamic_traits` for `AlphabetSetBase`. More...
struct | virtual_types< algebra::AlphabetSetBase< S > >
| Specialization of `virtual_types` for `AlphabetSetBase`. More...
struct | MetaElement< algebra::AlphabetSetBase< S >, T >
| Specialization of `MetaElement` for `AlphabetSetBase`. More...

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.
namespace | vcsn::algebra

| Namespace for algebra constructs in Vaucanson.

## Functions

template<typename S , typename L >
L | op_parse (const AlphabetSetBase< S > &s, const std::string &, size_t &)
| Implementation of a parser to return a letter.
template<typename S , typename St , typename T >
St & | op_rout (const AlphabetSetBase< S > &s, St &st, const T &a)
| Implementation of generic stream output operator for alphabets.
template<typename S , typename T , typename L >
bool | op_letter_equality (const AlphabetSetBase< S > &s, const T &a, L lhs, L rhs)
| Implementation of generic letter equality modulo meta-characters.
template<typename S , typename T >
std::pair< bool, typename Element< S, T >::letter_t > | parse_letter (const Element< S, T > &alphabet, const std::string &s)
| Public interface to the letter parser.

## Detailed Description

Definition of the alphabet concept.

Definition in file alphabets_base.hh.